//
// Copyright (c) 2022, MindFusion LLC - Bulgaria.
//

using System;
using System.Windows.Forms;


namespace MindFusion.Diagramming.WinForms.Samples.CS.Entities
{
	/// <summary>
	/// Summary description for AddEntityForm.
	/// </summary>
	public partial class AddEntityForm : System.Windows.Forms.Form
	{
		public AddEntityForm()
		{
			InitializeComponent();
		}

		private void _row1Check_Click(object sender, System.EventArgs e)
		{
			_row1Edit.ReadOnly = !_row1Check.Checked;
		}

		private void _row2Check_Click(object sender, System.EventArgs e)
		{
		    _row2Edit.ReadOnly = !_row2Check.Checked;
		}

		private void _row3Check_Click(object sender, System.EventArgs e)
		{
			_row3Edit.ReadOnly = !_row3Check.Checked;
		}

		private void _row1Radio_Click(object sender, System.EventArgs e)
		{
			_row1OEdit.ReadOnly = !_row1Radio.Checked;
			_row2OEdit.ReadOnly = !_row2Radio.Checked;
			_row3OEdit.ReadOnly = !_row3Radio.Checked;
		}

		private void _row2Radio_Click(object sender, System.EventArgs e)
		{
			_row1OEdit.ReadOnly = !_row1Radio.Checked;
			_row2OEdit.ReadOnly = !_row2Radio.Checked;
			_row3OEdit.ReadOnly = !_row3Radio.Checked;
		}

		private void _row3Radio_Click(object sender, System.EventArgs e)
		{
			_row1OEdit.ReadOnly = !_row1Radio.Checked;
			_row2OEdit.ReadOnly = !_row2Radio.Checked;
			_row3OEdit.ReadOnly = !_row3Radio.Checked;
		}

		private void _addBtn_Click(object sender, System.EventArgs e)
		{
			_name = null;
			_description = null;
			_input = new string[] {null, null, null};
			_output = new string[] {null, null, null};

			_name = _nameEdit.Text;
			_description = _descriptionEdit.Text;
			if( _row1Check.Checked )
				_input[0] = _row1Edit.Text;
			if( _row2Check.Checked )
				_input[1] = _row2Edit.Text;
			if( _row3Check.Checked )
				_input[2] = _row3Edit.Text;
			if( _row1Radio.Checked )
				_output[0] = _row1OEdit.Text;
			else if( _row2Radio.Checked )
				_output[1] = _row2OEdit.Text;
			else if( _row3Radio.Checked )
				_output[2] = _row3OEdit.Text;
		}


		public string EntityName
		{ 
			get { return _name; }
		}

		public string EntityDescription
		{
			get { return _description; }
		}

		public string GetInput(int index)
		{
			return _input[index];
		}

		public string GetOutput(int index)
		{
			return _output[index];
		}


		string _name;
		string _description;
		string[] _input;
		string[] _output;
	}
}
